#include <zombie_escape>

public plugin_natives()
{
	register_native("ze_show_sound_menu", "native_ze_show_sound_menu", 1)
}

public plugin_init()
{
	register_plugin("Sound Menu", "1.0", "Raheem")
	
	// Commands
	register_clcmd("say /sound", "SoundMenu")
	register_clcmd("say_team /sound", "SoundMenu")
}

public SoundMenu(id)
{
	if (!is_user_connected(id))
		return
	
	new iMenu = menu_create("\ySound Menu:", "SoundMenu_Handler")
	
	if (ze_is_starting_sounds_enabled(id))
	{
		menu_additem(iMenu, "\wReady Sound \rON", "", 0)
	}
	else
	{
		menu_additem(iMenu, "\wReady Sound \rOFF", "", 0)
	}
	
	if (ze_is_ambiance_sounds_enabled(id))
	{
		menu_additem(iMenu, "\wAmbiance Sound \rON", "", 0)
	}
	else
	{
		menu_additem(iMenu, "\wAmbiance Sound \rOFF", "", 0)
	}
	
	menu_setprop(iMenu, MPROP_EXIT, MEXIT_ALL)
	menu_display(id, iMenu, 0)
}

public SoundMenu_Handler(id, iMenu, iItem)
{
	if (!is_user_connected(id))
		return;
	
	switch (iItem)
	{
		case 0:
		{
			if (ze_is_starting_sounds_enabled(id))
			{
				// It's enabled, so disable it
				ze_set_starting_sounds(id, false)
				SoundMenu(id)
			}
			else
			{
				// It's disabled, so enable it
				ze_set_starting_sounds(id, true)
				SoundMenu(id)
			}
		}
		case 1:
		{
			if (ze_is_ambiance_sounds_enabled(id))
			{
				// It's enabled, so disable it
				ze_set_ambiance_sounds(id, false)
				SoundMenu(id)
			}
			else
			{
				// It's disabled, so enable it
				ze_set_ambiance_sounds(id, true)
				SoundMenu(id)
			}
		}
	}
	
	menu_destroy(iMenu)
}

public native_ze_show_sound_menu(id)
{
	if (!is_user_connected(id))
	{
		log_error(AMX_ERR_NATIVE, "[ZE] Invalid Player id (%d)", id)
		return false;
	}
	
	SoundMenu(id)
	return true;
}